Skip to main content
GET
cURL

Authorizations

apiKey
string
query
required

Path Parameters

id
string
required

The id of the video, from renderVideo.

Query Parameters

apiKey
string
required

Your API key. Create one on the API Keys page of the dashboard, and keep it on the server.

Example:

"YOUR_API_KEY"

stream
string

true streams the events of the video as server-sent events.

Example:

"true"

Response

The video, or its events.

id
string
required
Example:

"vid_0b3c1c1e5d6f4c529e0a8f6a4c0f2a11"

status
enum<string>
required

queued while the video waits for a renderer, rendering while its frames render, then done or failed.

Available options:
queued,
rendering,
done,
failed
url
string

The public URL of the MP4, once the video is done.

Example:

"https://images.bannerify.co/files/0b3c1c1e-5d6f-4c52-9e0a-8f6a4c0f2a11.mp4"

error
string

Why the video failed.